#ifndef EditCalendarEventDialog_h
#define EditCalendarEventDialog_h

// $Id: EditCalendarEventDialog.h,v 1.8 2014/02/10 10:07:45 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CalendarEvent.h"
#include "CustomDialog.h"
#include "TextEditor.h"

#include <QCheckBox>
#include <QComboBox>
#include <QDateEdit>
#include <QTimeEdit>

namespace Calendar
{

    class EditCalendarEventDialog: public CustomDialog
    {

        Q_OBJECT

        public:

        //! constructor
        EditCalendarEventDialog( QWidget*, const CalendarEvent& tag = CalendarEvent() );

        //! calendar tag
        CalendarEvent event( void );

        private:

        //! begin date
        QDateEdit* beginEditor_;

        //! end date
        QDateEdit* endEditor_;

        //! begin time
        QTimeEdit* beginTimeEditor_;

        //! end time
        QTimeEdit* endTimeEditor_;

        //! full day checkbox
        QCheckBox* fullDaysCheckBox_;

        //! notify
        QCheckBox* notifyCheckBox_;

        //! description editor
        TextEditor* editor_;

        //! selection mode
        QComboBox* selectioncomboBox_;

        //! repeat mode
        QComboBox* repeatcomboBox_;

    };

};

#endif
