// $Id: MemoryLoadOptions.h,v 1.18 2014/02/10 10:34:31 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Color.h"
#include "Util.h"
#include "File.h"
#include "KernelVersion.h"
#include "XmlOptions.h"

//_____________________________________________________
//! Default options installer
void installMemoryLoadOptions( void )
{

    XmlOptions::get().setAutoDefault( true );
    XmlOptions::get().set<bool>( "AUTO_SCALE", false );
    XmlOptions::get().set<int>( "KERNEL_VERSION", Main::Linux26 );
    XmlOptions::get().set<bool>( "SHOW_MEMORY", true );
    XmlOptions::get().set<bool>( "SHOW_SWAP", true );

    XmlOptions::get().set<Base::Color>( "MEMORY_COLOR", QColor( "#aa0000" ) );
    XmlOptions::get().set<Base::Color>( "SWAP_COLOR", QColor( "#ffaa00" ) );

    XmlOptions::get().set( "RC_FILE", Option( File(".transparent-memoryloadrc").addPath( Util::home() ), Option::None ) );
    XmlOptions::get().setAutoDefault( false );

}
