// $Id: NetworkLoadOptions.h,v 1.22 2014/02/11 06:39:46 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "XmlOptions.h"
#include "Util.h"
#include "File.h"

//_____________________________________________________
//! Default options installer
void installNetworkLoadOptions( void )
{

    XmlOptions::get().setAutoDefault( true );
    XmlOptions::get().set<Base::Color>( "RECEIVED_COLOR", QColor( "#aa0000" ) );
    XmlOptions::get().set<Base::Color>( "TRANSMITTED_COLOR", QColor( "#ffaa00" ) );
    XmlOptions::get().set<bool>( "SHOW_Received", true );
    XmlOptions::get().set<bool>( "SHOW_Transmitted", true );

    XmlOptions::get().set( "NETWORK_DEVICE", "eth0" );
    XmlOptions::get().set<bool>( "NETWORK_AUTO_SELECT", true );
    XmlOptions::get().set<int>( "NETWORK_AUTO_SELECT_RATE", 10 );

    XmlOptions::get().set( "RC_FILE", Option( File(".transparent-networkloadrc").addPath( Util::home() ), Option::None ) );
    XmlOptions::get().setAutoDefault( false );

}
